Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm having some problems with gnome-shell. I downloaded from the Ubuntu repository (not ricotz-testing), and typing gnome-shell --replace I get this (I removed some repetitions :) ):

alecive@calliope:~$ gnome-shell --replace

(gnome-shell:4052): GConf-CRITICAL **: gconf_value_get_string: assertion `value->type == GCONF_VALUE_STRING' failed

(gnome-shell:4052): GConf-CRITICAL **: gconf_value_get_string: assertion `value->type == GCONF_VALUE_STRING' failed

(gnome-shell:4052): GConf-CRITICAL **: gconf_value_get_string: assertion `value->type == GCONF_VALUE_STRING' failed
    JS ERROR: !!! Exception was: Error: Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/environment.js:9
"'
    JS ERROR: !!! message = '"Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found"'
    JS ERROR: !!! Exception was: Error: Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/environment.js:9
"'
    JS ERROR: !!! message = '"Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found"'
Avviso del window manager: Log level 32: Execution of main.js threw exception: Error: Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found

Someone could help me in getting gnome-shell running? I'm experiencing very annoying behaviors and I really wish to get it on my desktop! :(

To clarify - I know how to log in into gnome-shell from the login screen, but gnome-shell systematically crashes the desktop. So, to see what errors it gives me, I login into unity environment and then I type gnome-shell --replace

Moreover, I already used gnome-shell since its natty version and my video-card fully support it. This seems to be a library issue rather than a simple problem related to my ignorance. I think the last two lines of the code prompted above, you can see some dependency.

PS: For the record, I'm on Ubuntu Oneiric 11.10 32bit :)

share|improve this question
add comment

2 Answers 2

up vote 0 down vote accepted

The error message "Requiring Clutter, version 1.0: Typelib file for namespace 'CoglPango', version '1.0' not found" indicates that a library is missing -

The likely culprit is gir1.2-cogl-1.0

Therefore, to install this:

sudo apt-get install gir1.2-cogl-1.0

If it is says it is already installed - try forcing a reinstall.

sudo apt-get --reinstall install gir1.2-cogl-1.0

It is perhaps also wise to reinstall (or force reinstall) clutter using the package gir1.2-clutter-1.0

share|improve this answer
add comment

try opening up gnome-tweak-tool and unchecking nautilus handle desktop see if that helps! there is also ricotz/testing ppa which is very up to date and is stable..........for the moment! you could add it do update and dist-upgrade and then disable it after reboot!

share|improve this answer
    
Thanks bmbaker, but the solution given by fossfreedom worked for me :) –  alecive Jan 29 '12 at 21:22
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.